/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package paqueteBL;

/**
 *
 * @author sysmq
 */
public class Host {
    protected String ip;
    protected String nombre;
    protected String user;
    protected String password;
    protected int id;
    protected int estado;

    static public final int ESTADO_DISPONIBLE=0;
    static public final int ESTADO_MANTENIMIENTO=1;
    static public final int ESTADO_ERROR=2;

    public Host()
    {

    }

    public Host(String ip,String nombre,String user,String password)
    {
        this.ip=ip;
        this.nombre=nombre;
        this.user=user;
        this.password=password;
    }


    public String getIp() {
        return ip;
    }

    /**
     * @param ip the ip to set
     */
    public void setIp(String ip) {
        this.ip = ip;
    }

    /**
     * @return the nombre
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * @param nombre the nombre to set
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    /**
     * @return the user
     */
    public String getUser() {
        return user;
    }

    /**
     * @param user the user to set
     */
    public void setUser(String user) {
        this.user = user;
    }

    /**
     * @return the password
     */
    public String getPassword() {
        return password;
    }

    /**
     * @param password the password to set
     */
    public void setPassword(String password) {
        this.password = password;
    }

    public String getStrConexion()
    {
        return " -h https://" + getIp()+"/sdk -u "+getUser()+" -p "+getPassword();
    }

    /**
     * @return the id
     */
    public int getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * @return the estado
     */
    public int getEstado() {
        return estado;
    }

    /**
     * @param estado the estado to set
     */
    public void setEstado(int estado) {
        this.estado = estado;
    }

    public String getStrEstado()
    {
        return getStrEstado(estado);
    }

    static public String getStrEstado(int est)
    {
        final String[] textoEstado={"Disponible","Mantenimiento","ERROR"};

        if (est>=0 && est<3) return textoEstado[est]; else return "";
    }

}
